Namespace
library
Image / Tag
swift:5.10.0-amazonlinux2-slim
Content Digest
sha256:38f5a5d64602827a1d8683300c5fea6e215caaf647e5f9590c47a676bd08b69a
Details
Created

2024-06-05 01:20:21 UTC

Size

233 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:8a0995d2bf38a3ce742d376865782dab667a8fd7d3ded687b5775794788440be - 25.67% (59.7 MB)

[#001] sha256:c078e67a78abdc8d438daf11939185bfab6a6ca048cf29b55a9bb9622bd16787 - 74.33% (173 MB)


History
2024-06-05 00:26:51 UTC

/bin/sh -c #(nop) COPY dir:0754eb292d5814ae413cf45230cbfcb3aa86721e44b9e74852126d7313389c72 in /

2024-06-05 00:26:51 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-05 01:17:59 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-06-05 01:17:59 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-06-05 01:19:38 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-06-05 01:19:38 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2024-06-05 01:19:38 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-06-05 01:19:38 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-06-05 01:19:38 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:19:38 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:20:21 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip

Details
Created

2024-06-05 01:49:37 UTC

Size

211 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:1ef504af8f98d51ec83a2ad2c52ad8ffb1311ee414e6f9f779bc331d20d242c8 - 29.19% (61.6 MB)

[#001] sha256:c9332da74247347d3eccac751d56533426a1086936ca4d9985f9d454b2fa54f5 - 70.81% (149 MB)


History
2024-06-05 00:47:45 UTC

/bin/sh -c #(nop) COPY dir:54a4dd5769afd28377236f84a352a69acfed2ec1d2811885dfafbd62355157a9 in /

2024-06-05 00:47:46 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-05 01:47:24 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-06-05 01:47:24 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-06-05 01:49:03 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-06-05 01:49:03 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2024-06-05 01:49:03 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-06-05 01:49:03 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-06-05 01:49:03 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:49:03 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:49:37 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete